
# UserProfiles::update 

### Usage

> void UserProfiles::update(User $user, [ array $post = [] ])

### Description

> Update

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
user | Yes | User |
post | No | array |

### Return
> void 
### See Also

* [checkAuth()](checkauth)
* [create()](create)
* [isDemo()](isdemo)
* [loadUsername()](loadusername)
* [loadUuid()](loaduuid)
* [parseFullName()](parsefullname)
* [remove()](remove)
* [updateAsAdmin()](updateasadmin)


